Get all users

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Get all users API enables users to get all users in their Rocketlane instances using advanced filtering options. This API is intended to provide a flexible and fast means of getting users related data based on various parameters.

Developers can integrate the users search feature into their applications and platforms by using this API. You can fine-tune your searches and retrieve the users data you need for integration into your applications or platforms by using the available parameters.

You can use any combination of these parameters to execute searches based on your specifications. In addition to filters, sortBy and sortOrder can be used to sort the users. The response body is paginated, and you can control the pagination using the limit and pageToken parameters.

Pagination

The Get all users API accommodates pagination in the response body. The pageSize option can be used to restrict the amount of responses displayed/available in a single request. Additionally, if there are more entries than the ones accessible in the answer, the response(s) may contain the nextPageToken.

Please refer to the pagination section for further information on this.

Filtering

The capacity to execute more sophisticated and nuanced searches on a dataset by combining numerous criteria and conditions is referred to as filtering.

Complex filtering in the context of the Get all users API allows users to build elaborate search queries to return specific subsets of users that satisfy specific requirements. By catering to a wide range of use cases, this enhanced filtering functionality considerably increases the API's utility and versatility.

The API reference includes a comprehensive range of filtering options.

Please refer to the link here for more information on how to construct the filtering criteria for users related fields.

Custom Field Filtering

The Get all users API offers custom field filtering in addition to the regular filtering options.

📘

Note

Custom fields are supported only for users of type TEAM_MEMBER. Therefore, custom filtering will only be applied to users of type TEAM_MEMBER.

Users can utilise custom field filtering to define and apply their own USER fields as search criteria. This powerful feature allows users to search for users based on custom USER fields, allowing the API to be tailored to a variety of use cases where default fields may be insufficient.

Please refer to the below table for more information on how to construct the filtering criteria for custom fields.

Field nameTextNumberYes/NoDateSingle SelectionMulti SelectionRating
{type}.field.{field_id}.value☑️☑️☑️☑️☑️
{type}.field.{field_id}.contains☑️
{type}.field.{field_id}.notContains☑️
{type}.field.{field_id}.greaterThan☑️☑️☑️
{type}.field.{field_id}.lessThan☑️☑️☑️
{type}.field.{field_id}.greaterThanEqual☑️☑️☑️
{type}.field.{field_id}.lessThanEqual☑️☑️☑️
{type}.field.{field_id}.isEmpty☑️☑️☑️☑️☑️☑️☑️
{type}.field.{field_id}.isNotEmpty☑️☑️☑️☑️☑️☑️☑️
{type}.field.{field_id}.isTrue☑️
{type}.field.{field_id}.isFalse☑️
{type}.field.{field_id}.oneOf☑️☑️
{type}.field.{field_id}.noneOf☑️☑️

For more detailed examples related to searching/ filtering using custom fields refer to the search section.

The field_id can be fetched from this API. Additional parameters can be passed to fetch fields associated with users, which can then be used to perform searches on the users.

For more information about this, please refer to the custom fields section.

Criteria Match

In addition to standard filtering and custom field filtering, the Get all users API also supports the use of AND and OR conditions for more advanced filtering options. Users can combine different filters and custom field queries with these logical operators to build complex yet accurate search queries.


In case any issues arise or further assistance is required, please refer to the error handling section or reach out to our support team at [email protected] for a prompt resolution.

Query Params
number
≥ 0

This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.

string

Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.

includeFields
array of strings

This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.

includeFields
Allowed:
boolean

This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

string
enum

You can use the sortBy param to sort the responses by the given field.

Allowed:
string
enum

The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.

Allowed:
string
enum

You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.

Allowed:
string

You can use this param to specify some user first name and the responses will contain exact matches of users that match the given first name.

string

You can use this param to specify some user first name and the responses will contain matches of users that match the given first name.

string

You can use this param to specify some user first name and the responses will not contain matches of users that match the given first name.

string

You can use this param to specify some user last name and the responses will contain exact matches of users that match the given last ame.

string

You can use this param to specify some user last name and the responses will contain matches of users that match the given last name.

string

You can use this param to specify some user last name and the responses will not contain matches of users that match the given last name.

string

You can use this param to specify some user email id and the responses will contain exact matches of users that match the given email id.

string

You can use this param to specify some user email id and the responses will contain matches of users that match the given email id.

string

You can use this param to specify some user email id and the responses will not contain matches of users that match the given email id.

status.eq
array of strings
length ≤ 1

You can use this param to provide a user status and the responses will contain exact matches of users that match the given status.

status.eq
Allowed:
status.oneOf
array of strings
length ≤ 3

You can use this param to provide user statuses separated by commas and the responses will contain matches of users that match one of the given user status.

status.oneOf
Allowed:
status.noneOf
array of strings
length ≤ 3

You can use this param to provide user statuses separated by commas and the responses will contain matches of users that match the none of the given set of user statuses.

status.noneOf
Allowed:
type.eq
array of strings
length ≤ 1

You can use this param to provide a user type and the responses will contain exact matches of users that match the given type.

type.eq
Allowed:
type.oneOf
array of strings
length ≤ 3

You can use this param to provide user types separated by commas and the responses will contain matches of users that match the none of the given set of user types.

type.oneOf
Allowed:
string

You can use this param to provide a role id and the responses will contain exact matches of users that match the given role id.

string

You can use this param to provide role ids separated by commas and the responses will contain matches of users that match one of the given role id.

string

You can use this param to provide role id separated by commas and the responses will contain matches of users that match the none of the given set of role id.

string

You can use this param to provide a permission id and the responses will contain exact matches of users that match the given permission id.

string

You can use this param to provide permission ids separated by commas and the responses will contain matches of users that match one of the given set of permission id.

string

You can use this param to provide permission ids separated by commas and the responses will contain matches of users that match the none of the given set of permission id.

number

You can use this param to specify some value as capacity and the responses will contain exact matches of users that match the given value.

number

You can use this param to specify some value as capacity and the responses will contain exact matches of capacity greater than that of the given value.

number

You can use this param to specify some value as capacity and the responses will contain exact matches of capacity greater than or equal to that of the given value.

number

You can use this param to specify some value as capacity and the responses will contain exact matches of capacity lesser than that of the given value.

number

You can use this param to specify some value as capacity and the responses will contain exact matches of capacity lesser than or equal to that of the given value.

int64

You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than the given users created date.

int64

You can use this param to provide an epoch milli value and the responses will contain exact matches of users that match the given users created date.

int64

You can use this param to provide an epoch milli value and the responses will contain users whose date are less than the given users created date.

int64

You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than or equal to the given users created date.

int64

You can use this param to provide an epoch milli value and the responses will contain users whose date are less than or equal to the given users created date.

int64

You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than the given users updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain exact matches of users that match the given users updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain users whose date are less than the given users updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than or equal to the given users updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain users whose date are less than or equal to the given users updated date.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json